%define name     gemrb
%define version  0.6.4
%define release  %mkrel 1

%define _disable_ld_no_undefined 1
%define dont_check_elf_files 1
%define _cmake_skip_rpath %{nil}

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Port of the original Infinity (Game) Engine
Group: Games/Adventure
License: GPLv2+
URL: http://gemrb.sourceforge.net/

Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: SDL
Requires: openal
BuildRequires: cmake
BuildRequires: zlib-devel
BuildRequires: SDL-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: openal-devel
BuildRequires: libvorbis-devel
BuildRequires: libpng-devel
BuildRequires: libpython-devel

%description
GemRB (Game Engine Made with pre-Rendered Background) is a portable
open-source implementation of Bioware's Infinity Engine.

It was written to support pseudo-3D role playing games based on the
Dungeons & Dragons ruleset (Baldur's Gate and Icewind Dale series,
Planescape: Torment). 

This is not a game, but the engine. You need data installed somewhere, and
point gemrb the the relevant directory. More details and a list of
supported games can be found at
http://gemrb.sourceforge.net/wiki/doku.php?id=getting_started

%prep
%setup -q

%build
%cmake -DLAYOUT=fhs -DLIB_DIR='%{_libdir}/gemrb'
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std -C build

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README INSTALL
%attr(755,root,root) %{_bindir}/gemrb
%attr(755,root,root) %{_libdir}/gemrb/libgemrb_core.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/2DAImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/ACMReader.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/AREImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/BAMImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/BIFImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/BIKPlayer.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/BMPImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/BMPWriter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/CHUImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/CREImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/DirectoryImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/DLGImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/EFFImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/FXOpcodes.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/GAMImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/GUIScript.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/IDSImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/INIImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/ITMImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/IWDOpcodes.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/KEYImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/MOSImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/MUSImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/MVEPlayer.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/NullSound.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/OGGReader.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/OpenALAudio.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/PLTImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/PNGImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/PROImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/PSTOpcodes.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/SDLAudio.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/SDLVideo.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/SPLImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/STOImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/TISImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/TLKImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/WAVReader.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/WEDImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/WMPImporter.so
%attr(755,root,root) %{_libdir}/gemrb/plugins/ZLibManager.so

%{_sysconfdir}/gemrb/GemRB.cfg.sample
%{_mandir}/man6/gemrb.6.*
%{_datadir}/gemrb/*
%{_datadir}/applications/gemrb.desktop
%{_datadir}/icons/hicolor/scalable/apps/gemrb.svg
%{_datadir}/pixmaps/gemrb.png

### Exclude files - is there any ?
%exclude %{_sysconfdir}/gemrb/GemRB.cfg.noinstall.sample



%changelog
* Mon Apr 11 2011 xrogaan <xrogaan> 0.6.4-1.mga1
+ Revision: 83176
- Updated to new version

* Wed Mar 02 2011 xrogaan <xrogaan> 0.6.3-1.mga1
+ Revision: 62706
- Fix BuildRequires
- Fixes BuildRequires for python libraries
- Update the description
- imported package gemrb


* Wed Dec  8 2010 Ludovic Bellière <xrogaan@gmail.com> 0.6.3-1mdv2010.1
- Rewrite the spec file for the new version
- Added support for cmake

* Sat Jun  6 2009 Joachim Metz <jbmetz@users.sourceforge.net> 0.4.0-1
- Added support for configure integration

* Tue May 25 2009 Jaka Kranjc <lynxlupodian@users.sourceforge.net> 0.4.0-1
- Update for gemrb 0.4.0

* Sun Mar 15 2009 Joachim Metz <jbmetz@users.sourceforge.net> 0.3.2-2
- Excluded .la files from rpm file

* Tue Feb 17 2009 Joachim Metz <jbmetz@users.sourceforge.net> 0.3.2-1
- Update for gemrb 0.3.2

* Fri Feb 13 2009 Joachim Metz <jbmetz@users.sourceforge.net> 0.3.1-2
- Merged default and devel package, gemrb requires .so files
- Corrected use of legacy version of libpng

* Sun Feb  8 2009 Joachim Metz <jbmetz@users.sourceforge.net> 0.3.1-1
- Initial version

